> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baytos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List prompts

> List all prompts in your workspace with pagination



## OpenAPI

````yaml /api-reference/openapi.json get /prompts
openapi: 3.1.0
info:
  title: Claro API - Bayt OS
  version: 1.0.0
  description: >-
    REST API for Claro, part of Bayt OS - The Collaborative Intelligence
    platform. Manage and deploy AI prompts programmatically.
  contact:
    name: Bayt Support
    email: support@baytos.ai
    url: https://claro.baytos.ai
servers:
  - url: https://api.baytos.ai/v1
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Prompts
    description: Prompt management and generation
paths:
  /prompts:
    get:
      tags:
        - Prompts
      summary: List prompts
      description: List all prompts in your workspace with pagination
      operationId: listPrompts
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
        - name: cursor
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved prompts
          content:
            application/json:
              schema:
                type: object
                properties:
                  prompts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        title:
                          type: string
                        packageName:
                          type: string
                  cursor:
                    type: string
                    nullable: true
                  hasMore:
                    type: boolean
        '401':
          description: Unauthorized - invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Invalid API key
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key obtained from https://claro.baytos.ai

````